<?php

	error_reporting(E_ALL & ~E_NOTICE);

$pageLayout['full'] = <<<'FULL'
<!DOCTYPE html>
<html lang="nl">
  <head>
    <meta charset="utf-8" />
    <title>lucidAuth</title>
	<meta name="application-name" content="lucidAuth" />
	<meta name="theme-color" content="#003399" />
	<link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png" />
	<link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png" />
	<link rel="manifest" href="/manifest.json" />
	<link href="misc/style.css" rel="stylesheet" />
	<link href="misc/style.theme.css" rel="stylesheet" />
    <link href="misc/style.button.css" rel="stylesheet" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.js"></script>
    <script src="misc/script.theme.js"></script>
    <script src="misc/script.translation.js"></script>
  </head>
  <body>
    <div id="horizon">
      <div id="content">
        <div class="logo">
          <div class="left"><div class="middle">lucidAuth</div></div><div class="right"></div>
          <div class="sub"><em>Respect</em> the unexpected; mitigate your risks</div>
        </div>
        <div class="main">
          %1$s
        </div>
      </div>
    </div>
  </body>
</html>
FULL;

$pageLayout['bare'] = <<<'BARE'
<!DOCTYPE html>
<html lang="nl">
  <head>
    <meta charset="utf-8" />
    <title>lucidAuth</title>
	<meta name="application-name" content="lucidAuth" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.js"></script>
    <script src="misc/script.iframe.js"></script>
  </head>
  <body>
  	%1$s
  </body>
</html>
BARE;

$contentLayout['login'] = <<<'LOGIN'
		  <script src="misc/script.index.js"></script>
          <fieldset>
            <legend>Login Details</legend>
            <ul>
              <li>
                <label class="pre" for="username" data-translation="label_username">Gebruikersnaam:</label>
                <input type="text" id="username" name="username" tabindex="100" />
                <label for="username">@lucidAuth</label>
              </li>
              <li>
                <label class="pre" for="password" data-translation="label_password">Wachtwoord:</label>
                <input type="password" id="password" name="password" tabindex="200" />
              </li>
              <li>
				<input type="hidden" id="ref" name="ref" value="%1$s" />
				<button id="btnlogin" class="bttn-simple bttn-xs bttn-primary" tabindex="300" data-translation="button_login">login</button>
              </li>
              <li class="misc">
                <span class="indent">&nbsp;</span>
              </li>
              <li class="misc">
                <span class="indent" data-translation="span_credentialsavailable">Inloggegevens verkrijgbaar op aanvraag!</span>
              </li>
            </ul>
          </fieldset>
          <img src="/images/tag_lock.png" style="position: absolute; top: 175px; left: 20px;" alt="Secure!" />
LOGIN;

$contentLayout['manage'] = <<<'MANAGE'
		  <script src="misc/script.manage.js"></script>
          <span id="user"><span data-translation="span_loggedinas">Ingelogd als</span>&nbsp;%1$s&nbsp;---&nbsp;[<a id="linklanguage-en" href="#" tabindex="700">EN</a>&nbsp;<a id="linklanguage-nl" class="current" href="#" tabindex="700">NL</a>]&nbsp;[<a href="#" tabindex="800" data-translation="link_logout">Log uit</a>]</span>
          <fieldset style="clear: both;">
            <legend>Beheer Gebruikers</legend>
            <ul>
              <li>
              </li>
              <li>
		        <button id="btnaliasadd" class="bttn-simple bttn-xs bttn-primary" tabindex="200" data-translation="button_add">voeg toe</button>
              </li>
              <li>
                <label id="labelallaliases" class="pre" for="allaliases" data-translation="label_allaliases">Alle aliassen:</label><output id="aliasstats">[--]</output>
                <select id="allaliases" size="10" multiple="multiple" tabindex="300">
                </select>
              </li>
              <li>
		        <button id="btnaliasdelete" class="bttn-simple bttn-xs bttn-primary" tabindex="400" data-translation="button_delete">verwijder</button>
              </li>
              <li>
				<button id="btnsync" class="bttn-simple bttn-xs bttn-primary" style="background-position: center;" tabindex="500" data-translation="button_sync">synchroniseer</button>
              </li>
            </ul>
          </fieldset>
MANAGE;

?>